.login-box, .register-box {
    margin: 0 auto;
}

.login-logo img {
    margin: 0 auto;
}

.text-small {
    font-size: 12px;
}


.city-dropdown {
    position: absolute;
    top: 100%;
    background: #ffffff;
    left: 7.5px;
    right: 7.5px;

    z-index: 2;

    border: 1px solid #cccccc;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}
.city-dropdown button {
    background: none;
    border: none;
    position: relative;
    display: block;
    width: 100%;
    text-align: left;
    padding: 4px 15px;
}
.city-dropdown button:hover {
    background: #DC3545;
    color: #ffffff;
}


.student-dropdown {
    position: absolute;
    top: 100%;
    background: #ffffff;
    left: 7.5px;
    right: 7.5px;

    z-index: 2;

    border: 1px solid #cccccc;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}
.student-dropdown button {
    background: none;
    border: none;
    position: relative;
    display: block;
    width: 100%;
    text-align: left;
    padding: 4px 15px;
}
.student-dropdown button:hover {
    background: #DC3545;
    color: #ffffff;
}

.course-dropdown {
    position: absolute;
    top: 100%;
    background: #ffffff;
    left: 7.5px;
    right: 7.5px;

    z-index: 2;

    font-size: 12px;

    border: 1px solid #cccccc;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}
.course-dropdown button {
    background: none;
    border: none;
    position: relative;
    display: block;
    width: 100%;
    text-align: left;
    padding: 4px 15px;
}
.course-dropdown button:hover {
    background: #DC3545;
    color: #ffffff;
}


.multi-upload-form {
    position: relative;
    display: block;
    background: #cccccc;
    color: #666666;
    font-weight: 700;
    text-align: center;
    padding: 32px 15px;
    transition: 0.2s all;
    margin-bottom: 20px;

    font-size: 20px;
    border-radius: 4px;
}
.multi-upload-form input {
    position: absolute;
    top: 0;
    left:0;
    right:0;
    bottom: 0;
    z-index: 2;
    opacity: 0;
    cursor: pointer;
}
.multi-upload-form i {
    position: absolute;
    left: 5px;
    top: 5px;
    font-size: 85px;
    color: #bdbdbd;
}
.multi-upload-form:hover {
    background: #DC3545;
    color: #ffffff;
}

.form-group.required .col-form-label:after {
    content: " *";
    color: #ff0000;
}

.multi-checkbox {
    position: relative;
    display: block;
    padding: 7px;
    border-radius: 4px;
    border: 1px solid #cccccc;
    background: #eeeeee;
    height: 200px;
    overflow-y: auto;
}
.multi-checkbox .line {
    position: relative;
    display: block;
    font-size: 14px;
}
.multi-checkbox .line input[type='checkbox'] {
    display: none;
}
.multi-checkbox .line input[type='checkbox'] + label {
    position: relative;
    display: block;
    margin-bottom: 0;
    font-weight: 400;
    font-size: 14px;
    line-height: 15px;
    cursor: pointer;
    padding: 2px 2px;
    border-radius: 4px;
    margin-bottom: 2px;

    transition: 0.2s all;
}
.multi-checkbox .line input[type='checkbox'] + label:hover {
    background: #FFC107;
}
.multi-checkbox .line input[type='checkbox']:checked + label {
    background: #28A744;
    color :#ffffff;
    font-weight: 700;
}

.date-pick-default {
    cursor: pointer;
}
.date-pick-default:hover {
    border-color: #007BFF;
    color: #007BFF;
}


.table-filter {
    background: #dddddd;
}


.template-loader {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 4;
    background: rgba(0, 123, 255, 0.7);
    border-radius: 4px;
}
.template-loader i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    font-size: 70px;
    color: #ffffff;
}

.template-workspace {
    position: relative;
    display: block;
    min-width: 300px;
    min-height: 100px;
    background: #eeeeee;

    max-width: 100%;
    border: 1px solid #cccccc;

    overflow: hidden;
}
.template-workspace .img-responsive {
    max-width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.template-workspace .btn-upload {
    position: absolute;
    top: 7px;
    left: 7px;

    transition: 0.2s all;
    opacity: 0.5;
}
.template-workspace .btn-upload:hover {
    opacity: 1;
}
.template-workspace .btn-upload i {
    font-size: 18px;
    vertical-align: -3px;
    margin-left: 2px;
}

.template-workspace .template-element {
    position: absolute;
    z-index: 2;

    top: 0;
    left: 0;

    font-size: 20px;
    color: #000000;
    font-weight: 500;
    background: rgba(0, 125, 255, 0.1);

    cursor: grab;

    white-space: nowrap;
}
.template-workspace .template-element:hover {
    background: rgba(0, 125, 255, 0.4);

    z-index: 5;
}


.template-workspace .template-element .cts-delete {
    position: absolute;
    top: 0;
    left: 100%;
    display: none;
}
.template-workspace .template-element .cts-delete:hover,
.template-workspace .template-element:hover .cts-delete {
    display: block;
}

.template-workspace .template-element .cts-size-select {
    position: absolute;
    bottom: 100%;
    left: 0;
    font-size: 11px;
    border-radius: 0;
    padding: 2px 2px;
    height: auto;

    display: none;
}
.template-workspace .template-element .cts-size-select:hover,
.template-workspace .template-element:hover .cts-size-select {
    display: block;
}

.stc-modal {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 100%;
    background: #ffffff;
    padding: 5px;
    border-radius: 5px;

    -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
    box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
    z-index: 3;
    min-width: 300px;
}
.stc-modal .btn {
    font-size: 12px;
    padding: 3px 5px;
}


ul.pagination {
    position: relative;

}
ul.pagination li {
    position: relative;
    display: inline-block;
}

ul.pagination li > * {
    position: relative;
    display: block;
    padding: 2px;
    border: 1px solid #cccccc;
    width: 30px;
    text-align: center;
}
ul.pagination li + li  {
    margin-left: 2px;
}
ul.pagination li span {
    font-weight: 700;
    color: #ffffff;
    background: #CF680D;
    border-color: #CF680D;
}
ul.pagination li a:hover {
    color: #ffffff;
    background: #DC3545;
    border-color: #DC3545;
}



.send-documents-wrap {
    position: fixed;
    z-index: 10000;
    display: block;
    top :0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,0.7);

}
.send-documents-inner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 300px;
    background: #ffffff;
    border-radius: 5px;
    padding: 15px;
}
.send-documents-inner .t {
    position: relative;
    display: block;
    text-align: center;
    font-weight: 700;
    margin-bottom: 15px;
}
.send-documents-inner input[type="email"] {
    margin-bottom: 15px;
}


.lecturer-course-checkbox {
    position: relative;
    display: block;
    padding: 7px;
    border-radius: 4px;
    border: 1px solid #cccccc;
    background: #eeeeee;
    height: 200px;
    overflow-y: auto;
}
.lecturer-course-checkbox .line {
    position: relative;
    display: block;
    font-size: 14px;
    background: none;
}
.lecturer-course-checkbox .line i {
    position: relative;
    display: inline-block;
    float: right;
    color: red;
    font-size: 20px;
    cursor: pointer;
}
.lecturer-course-checkbox .line:hover {
    background: #dddddd;
}



.lecturer-course-search {
    position: relative;
    display: block;
    margin-bottom: 2px;
}


.lecturer-course-search .drop {
    position: absolute;
    top: 100%;
    background: #ffffff;
    left: 0px;
    right: 0px;

    z-index: 2;

    border: 1px solid #cccccc;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}
.lecturer-course-search .drop button {
    background: none;
    border: none;
    position: relative;
    display: block;
    width: 100%;
    text-align: left;
    padding: 4px 15px;
}
.lecturer-course-search .drop button:hover {
    background: #DC3545;
    color: #ffffff;
}


.table.table-folder-file {
    font-size: 11px;
}
.table.table-folder-file .btn.btn-danger {
    font-size: 11px;
    padding: 0px 5px;
    color: red;
    background: none;
    border: none;
}
.table.table-folder-file .btn.btn-danger:hover {
    color: black;
}
.table.table-folder-file td {
    padding: 1px;
}


.student-info-page .login-box.student-box {
    width: auto;
    max-width: 700px;
}
